Subject: Re: AF_UNIX MSG_PEEK bug?

From: Rick Jones <[email-masked]>
Date: Tue, 08 Jan 2008 14:40:22 -0800

Potential bugs notwithstanding, given that this is a STREAM socket, and 
as such shouldn't (I hope, or I'm eating toes for dinner again) have 
side effects like tossing the rest of a datagram, why are you using 
MSG_PEEK?  Why not simply read the N bytes of the message that will have 
the message length with a normal read/recv, and then read that many 
bytes in the next call?

rick jones